
services:

    Application\UseCase\Calendar\CalendarListHandlerInterface:
          class: Application\UseCase\Calendar\CalendarListHandler
          autowire: true
          public: false
          tags:
              - { name: tactician.handler, command: Infrastructure\CalendarBundle\Command\CalendarListCommand }

    Application\UseCase\Calendar\CalendarViewHandlerInterface:
          class: Application\UseCase\Calendar\CalendarViewHandler
          autowire: true
          public: false
          tags:
              - { name: tactician.handler, command: Infrastructure\CalendarBundle\Command\CalendarViewCommand }

    Application\UseCase\Calendar\CalendarCreateHandlerInterface:
          class: Application\UseCase\Calendar\CalendarCreateHandler
          autowire: true
          public: false
          tags:
              - { name: tactician.handler, command: Infrastructure\CalendarBundle\Command\CalendarCreateCommand }

    Application\UseCase\Calendar\CalendarEditHandlerInterface:
          class: Application\UseCase\Calendar\CalendarEditHandler
          autowire: true
          public: false
          tags:
              - { name: tactician.handler, command: Infrastructure\CalendarBundle\Command\CalendarEditCommand }

    Application\UseCase\Calendar\CalendarDeleteHandlerInterface:
          class: Application\UseCase\Calendar\CalendarDeleteHandler
          autowire: true
          public: false
          tags:
              - { name: tactician.handler, command: Infrastructure\CalendarBundle\Command\CalendarDeleteCommand }
